*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
}

.fade-in {
    opacity: 0;
    transform: translateY(30px) scale(0.98);
    transition: opacity 1.2s ease,
    transform 1.2s ease;
}

.fade-in.visivel {
    opacity: 1;
    transform: translateY(0);
}

.destaque {
    color: #E67300;
}

/* BOTÕES MOBILE FIRST*/

a.btn{
    text-decoration:none;
}

.btn{
    padding:10px 20px;
    border:none;
    color: #ffffff;
    cursor:pointer;
    font-size:1rem;
    font-weight:600;
    background-color:transparent;
}

.btn-mobile{
    font-size:1.5rem;
}

.btn-default{
    padding:10px 24px;
    border:1px solid #ffc78e;
    border-radius:10px;
    font-family:'DM Sans';
    font-size:0.825rem;
    font-weight:400;
}

.btn-default:hover{
    color:#c1c1c1;
    border-color:#ffc78e;
}

/* HEADER */

header{
    background-color: transparent;
    padding:12px 4%;
    position: fixed;
    width: 100%;
    top:0;
    z-index: 4;
}

.navbar{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo{
    width:100px;
}

/* NAV LINKS */

#nav-links{
    display:none;
    list-style:none;
    flex-direction:column;
    gap:0.5rem;
    width:100%;
    position:absolute;
    top:71px;
    left:0;
    padding:1rem;
    background-color:rgba(2, 2, 2, 0.7);
}

#nav-links.show{
    display:flex;
}

#nav-links li{
    text-align:center;
}

#nav-links a{
    color: #ffffff;
    text-decoration:none;
    font-family:'DM Sans';
    font-size:0.875rem;
    font-weight:400;
    transition:all 0.3s ease;
}

#nav-links a:hover{
    color:#bababa;
    border-bottom:1px solid #ffc78e;
}

.navbar .btn-default{
    display:none;
}

/* HERO */

.hero{ 
    background-image: url(../assets/mobile.svg);
    background-size: cover;
    background-position: center top;
    position: relative;
    min-height: 100vh;
    overflow: hidden;
   
} 

.midiaBackground {
    pointer-events: none; /*evita bloqueio nos botões hero*/
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
}
.midiaBackground img,
.midiaBackground   video {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        inset: 0;
    }

.midiaBackground::after{
    content: '';
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.hero-content {
    position: relative;
    z-index: 2;

    display: flex;
    flex-direction: column;
    justify-content: center; /* centraliza vertical */
    align-items: flex-start;

    min-height: 90vh;
    padding: 0 5%;
    margin-left: 0; /* remove gambiarra */
    max-width: 600px;
    padding-top: 55vh;
}

.title-hero{
    font-size:1.5rem;
    color: #ffffff;
    font-family: "DM Sans";
    font-weight: 600;
    margin-bottom: 16px;
}

.txt-hero{
    font-size:1rem;
    color: #ffffff;
    font-family: "Source Serif 4";
    font-weight: 300;
    margin-bottom: 32px;
}

.btn-action{
    background-color: #E67300;
    padding: 10px 48px;
    align-items: center;
    justify-content: center;
    max-width: 40vh;
    text-align: center;
    border-radius: 10px;
    transition: all 0.3s ease;
    margin-bottom: 12px;
}

.btn-action:hover {
    background-color: #ffb56a;
}

.hero-action a {
    font-size: 1.2rem;
    font-weight: 600;
    font-family: "DM Sans";
}

.stats-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 5px;
    justify-content: center;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    background-color: black;
    margin-bottom: 5px;
}

.stats {
    background-color: black;
}

.stat {
    align-items: center;
    text-align: center;
    font-family: "DM Sans";
    font-weight: 300;
    margin-top: 10px;
}

.stat h2 {
    color: #ffffff;
    font-size: 5vw;
    font-weight: 300;
}

.stat p{
    color: #c1c1c1;
    font-size: 3vw;
}

.line-stats {
    width:100%;
    height: 20px;
    position:relative;
    margin-top:10px;
   
}

.line-stats::before {
    content:"";
    position:absolute;
    left:0;
    top:20%;
    transform:translateY(-50%);
    width:100%;
    height: 2px;

    background:linear-gradient( /* LINHA DE QUEBRA*/
    90deg,
    transparent,
    rgba(255,255,255,0.8) ,
    transparent
    );

    filter:blur(3px);
}

/*SERVICOS*/
.servicos {
    background-color: black;
    background-image: url(../assets/Blob_brilho.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 60px 5% 80px;
    overflow: hidden;
}

.servicos-header {
    text-align: center;
    margin-bottom: 40px;
    max-width: 500px;
}

.servicos-header h2 {
    font-family: "DM Sans";
    font-size: 1.5rem;
    font-weight: 700;
    color: #ffffff;
    letter-spacing: 0.2rem;
    margin-bottom: 12px;
}

.servicos-header p {
    font-family: "Source Serif 4";
    font-size: 0.875rem;
    font-weight: 300;
    color: #c1c1c1;
    line-height: 1.7;
}

/*ROLETA ARCO - MOBILE*/

.servicos-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.servicos-roleta {
    position: relative;
    width: 100%;
    height: 280px; /*altura da roleta*/
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.roleta-item {
    position: absolute;
    font-family: "DM Sans";
    color: #ffffff;
    white-space: nowrap;
    user-select: none;
    cursor: pointer;
    transform-origin: center bottom;
    text-align: center;
    justify-content: center;
    transition: 
        transform 0.5s cubic-bezier(0.4,0,0.2,1),
        opacity 0.5s ease,
        font-size 0.5s ease;
}

/* POSIÇÕES */

.roleta-item[data-pos="0"] {
    transform: rotate(0deg) translateY(-220px);
    font-size: 1rem;
    font-weight: 600;
    opacity: 1;
    color: #E67300; 
}

.roleta-item[data-pos="1"] {
    transform: translateX(calc(-40% - 160px)) translateY(-213px) rotate(-10deg);
    opacity: 0.5;
    font-size: 0.85rem;
    filter: blur(0.7px);
}

.roleta-item[data-pos="2"] {
    transform: translateX(calc(-40% - 600px)) translateY(-195px) rotate(-18deg);
    opacity: 0;
   pointer-events: none;
}

.roleta-item[data-pos="3"] {
    transform: translateX(calc(-40% - 100px)) translateY(-195px) rotate(-22deg);
   opacity: 0;
   pointer-events: none;
}

.roleta-item[data-pos="-1"] {
    transform: translateX(calc(-40% + 210px)) translateY(-213px) rotate(10deg);
    opacity: 0.5;
    font-size: 0.85rem;
    filter: blur(0.7px);
}

.roleta-item[data-pos="-2"] {
    transform: translateX(calc(-40% + 600px)) translateY(-195px) rotate(18deg);
    opacity: 0;
    pointer-events: none;
}

.roleta-item[data-pos="-3"] {
    transform: translateX(calc(-40% + 800px)) translateY(-140px) rotate(22deg);
    opacity: 0;
    pointer-events: none;
}


/*DESLIZE AQUI*/

.swipe-hint {
    position: absolute;
    bottom: 20px; /* distância do fundo da seção */
    left: 50%;
    transform: translateX(-50%) translateY(-230%);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 10px 16px;
    color: #fff;
    border-radius: 999px;
    font-size: 14px;
    pointer-events: none;
}

/* GLOW - fica atrás, desfocado */
.swipe-hint::before {
    content: '';
    position: absolute;
    inset: -2px;
    border-radius: inherit;
    background-image: conic-gradient(
        from var(--angle) at 50% 50%,
        transparent 0%,
        transparent 33%,
        #ff6a00 60%,
        #ffaa00 60%,
        transparent 60%
    );
    z-index: -2;
    filter: blur(18px);
    opacity: 0.6;
    animation: spin 3s linear infinite;
}

/* BORDA NÍTIDA - fica na frente do glow, atrás do fundo */
.swipe-hint::after {
    content: '';
    position: absolute;
    inset: 2px;
    border-radius: inherit;
    background-color: rgba(2, 2, 2, 0.7);
    z-index: -1;
    animation: spin 3s linear infinite;
}

@property --angle {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: false;
}

@keyframes spin {
    to {
        --angle: 360deg;
    }
}
/*DESCRIÇÕES*/

.servicos-descricoes {
    width: 100%;
    max-width: 500px;
    padding: 30px 5% 0;
    min-height: 100px;
    position: relative;
    margin-top: -140px;
}

.servico-desc {
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
    padding: 0 5%;
}

.servico-desc.active {
    opacity: 1;
    pointer-events: auto;
}

.servico-desc p {
    font-family: "Source Serif 4";
    font-size: 0.9rem;
    font-weight: 300;
    color: #c1c1c1;
    line-height: 1.8;
    text-align: center;
    margin-bottom: 0;
}

/*SOBRE*/

.entre-dobras {
    position: relative;
    width: 40%;
    overflow: visible;
    z-index: 1;
}


.iluminacao-entre{
    position: absolute;
    left: 50%;
    transform: translate(-80%, -30%);
    width: 900px;
    pointer-events: none;
}

.container-sobre {
    background-color: black;
    position: relative;
    overflow: hidden;
}

.sobre-frase{
    font-family: "Source Serif 4";
    font-size: 1.2rem;
    font-weight: 300;
    font-style: italic;
    color: #ffffff;
    text-align: center;
    padding: 40px 5% 1px;
    max-width: 900px;
    margin: 0 auto;
    line-height: 1.7;
}

.line-stats-us{
    width: 100%;
    height: 20px;
    position: relative;
    margin-bottom: 10px;
    z-index: 4;
}

.line-stats-us::before {
    content:"";
    position:absolute;
    left:0;
    top:20%;
    transform:translateY(-50%);
    width:100%;
    height: 2px;

    background:linear-gradient( /* LINHA DE QUEBRA*/
    90deg,
    transparent,
    rgba(255,255,255,0.8) ,
    transparent
    );

    filter:blur(3px);
}

.sobre-texto{
    padding: 10px 20px;
}

.sobre-texto h2{
    font-family: "DM Sans";
    font-size: 1.5rem;
    font-weight: 500;
    color: #E67300;
    letter-spacing: 0.8rem;
    text-align: center;
    margin-bottom: 10px;
}

.sobre-texto p {
    font-family: "Source Serif 4";
    font-size: 0.9rem;
    font-weight: 300;
    color: #c1c1c1;
    margin-bottom: 8px;
    text-align: center;
}

.sobre-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    width: 100%;
    max-width: 900px;
    z-index: 1;
    margin-bottom: 24px;
}

.sobre-imagem img {
    width: 100%;
    max-width: 300px;
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
}

.cursor-scroll {
    display: none;
}

/*QUEBRA LOGOS*/

.barra-clientes {
    width: 100%;
    margin: 0 auto;
    background-color: black;;
}

.barra-clientes-logos {
    width: 100%;
    height: auto;
    padding: 5px 5%;
    text-align: center;
    position: relative;
    z-index: 2;
}

.barra-clientes-logos button {
    padding: 10px 48px;
    background-color: #E67300;
    border: none;
    border-radius: 10px;

    color: white;
    font-family: "Source Serif 4";
    font-weight: 400;
    font-size: 1rem;
    animation: softPulse 2.5s infinite
}

@keyframes softPulse {
    0% {
        transform: scale(1);
        opacity: 0.9;
    }
    50% {
        transform: scale(1.05);
        opacity: 1;
    }
    100% {
        transform: scale(1);
        opacity: 0.9;
    }
}

.barra-clientes-logos button i {
    font-size: 1.1rem;
}

.barra-clientes-logos button:hover {
    background-color: #E67300;
    border-color: #E67300;
}

/*PORTIFOLIO*/
.portifolio-carrossel {
    background-color: black;
    position: relative;
    width: 100%;
    overflow: hidden; /* Esconde os vídeos que estão fora da tela */
    padding: 80px 0;
}

.portifolio-track {
    display: flex;
    gap: 20px;
    width: max-content;
    transition: transform 0.6s cubic-bezier(0.25, 0.46, 0.45, 0.94);
    will-change: transform;
    align-items: center;
}

.portifolio-card {
    position: relative;
    flex-shrink: 0;
    width: 70vw;
    height: 120vw;
    overflow: hidden;
    cursor: pointer;
    opacity: 0.5;
    transition: transform 0.6s ease, opacity 0.6s ease;
}

.portifolio-card.active {
    opacity: 1;
    transform: scale(1.15);
}
/*VIDEO*/
.portifolio-card video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 12px;
    pointer-events: none;
}

/* CONTROLS (play + mute) */
.controls {
    position: absolute;
    bottom: 15px;
    left: 15px;
    display: flex;
    gap: 12px;
    z-index: 999;
    pointer-events: auto;
}

/* BOTÕES DOS CONTROLES */
.controls button {
    background: rgba(0, 0, 0, 0.6);
    border: none;
    color: white;
    padding: 8px;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.3s;
}

.controls button:hover {
    background: rgba(255, 255, 255, 0.2);
}

/* BOTÕES DE NAVEGAÇÃO (desktop) */
.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.6);
    border: none;
    color: white;
    
    
    width: 50px;         
    height: 50px;       
    display: flex;         
    align-items: center;
    justify-content: center;
    padding: 0;            
    
    border-radius: 50%;
    cursor: pointer;
    z-index: 1000;
}

.nav.prev {
    left: 5px;
}

.nav.next {
    right: 5px;
}


/*PARTE FINAL*/
.container-final {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 20px 0;
    background-color: black;
    color: white;
}

.content-topicos {
    position: relative;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 5px 20px;
}


.entre-dobras-2{
    position: absolute;
    bottom: -50px; /* ajuste para subir/descer */
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 0;
    overflow: visible;
    z-index: 0;
    pointer-events: none;

}

.iluminacao-entre-2 {
    position: absolute;
    right: 50%;
    width: 600px;
    opacity: 0.8;
    transform: translateX(20%) translateY(-70%);
    pointer-events: none;
    z-index: 1;
}

.title-content {
    font-family: "DM Sans";
    font-weight: 400;
    font-size: 0.975rem;
    color: #E67300;
    line-height: 20px;
    margin-bottom: 15px;
}

.topicos {
    text-align: center;
    padding: 15px 10px 10px;
    height: 100px;
    border: 1px solid #E67300;
    border-radius: 15px ;
    background-color: rgba(109, 109, 109, 0.39);
    margin-bottom: 12px;
    font-family: "Source Serif 4";
}

.topicos h2 {
    font-size: 0.875rem;
    color: #E67300;
    font-weight: normal;
}

.topicos p {
    font-size: 0.825rem;
    font-weight: 300;
    color: #c1c1c1;
}

.topicos1 h2 {
    font-family: "DM Sans";
    font-size: 1.4rem;
    font-style: italic;
    color: #E67300;
    font-weight: normal;
}

.topicos1 p {
    font-family: "Source Serif 4";
    line-height: 15px;
    font-size: 0.895rem;
    font-weight: 300;
    color: #c1c1c1;
}

.final-action {
    width: 100%;
    height: auto;
    margin: 10px auto;
}

.final-action p {
    font-family: "DM Sans";
    font-size: 0.895rem;
    font-weight: 300;
    color: white;
    margin-bottom: 10px;
    margin-top: 30px;
}

.btn-action-final{
    font-family: "DM Sans";
    font-size: 0.685rem;
    background-color: #E67300;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
    transition: transform 0.3s ease;
}



.btn-action-final:hover {
    background-color: #ffa64c;
    transform: scale(1.1);
}

.image-final {
    width: 100%;
}

.image-final img{
    position: relative;
    width: 80%;
    height: auto;
    z-index: 2;
    margin-top: 24px;
}


/* CARROSSEL STUDIO */

.barra-clientes-studio {
    width: 100%;
    height: auto;
    padding: 5px 5%;
    text-align: center;
    position: relative;
    z-index: 2;
}

.barra-clientes-studio button {
    padding: 10px 48px;
    background-color: #E67300;
    border: none;
    border-radius: 10px;

    color: white;
    font-family: "Source Serif 4";
    font-weight: 400;
    font-size: 1rem;
    cursor: pointer;
    animation: softPulse 2.5s infinite;
}

.barra-clientes-studio button i {
    font-size: 1.1rem;
}

.barra-clientes-studio button:hover {
    background-color: #ffa64e;
}

/* ESTÚDIO */

.studio {
    background-color: black;
    padding: 60px 0;
    overflow: hidden;
}

.studio-header {
    text-align: center;
    padding: 0 5%;
    margin-bottom: 24px;
}

.studio-header h2 {
    font-family: "DM Sans";
    font-size: 1.5rem;
    font-weight: 700;
    color: #ffffff;
    letter-spacing: 0.2rem;
}

/* CARROSSEL */

.studio-carrossel {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.studio-fotos {
    width: 85%;
    height: 220px;
    overflow: hidden;
    border-radius: 12px;
    position: relative; 
    margin-top: 12px;
}

.studio-card {
    display: block; 
    position: relative;
    opacity: 0;
    transition: opacity 0.5s ease;
    pointer-events: none;
    position: absolute; /* empilha os cards */
    top: 0;
    left: 0;
    width: 100%;
}

.studio-card.active {
    opacity: 1;
    pointer-events: auto;
}

.studio-card img {
    width: 100%;
    height: 280px;
    object-fit: cover;
    border-radius: 12px;
}

/* SETAS */

.studio-seta {
    background: transparent;
    border: none;
    color: #ffffff;
    font-size: 1.2rem;
    cursor: pointer;
    padding: 10px;
    opacity: 0.7;
    transition: opacity 0.3s ease;
    flex-shrink: 0;
}

.studio-seta:hover {
    opacity: 1;
}

/* DOTS */

.studio-dote {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin-top: 20px;
}

.dot {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.3);
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.dot.active {
    background-color: #E67300;
}


/*FOOTER*/

footer {
    background-color: black;
    padding: 40px 0;
}

.content-footer {
    background: rgba(2, 2, 2, 0.24);
    backdrop-filter: blur(16px) brightness(0.8) saturate(1.2);
    -webkit-backdrop-filter: blur(10px);
}

.container-footer {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 40px 5%;
    
}

.social img {
    width: 20px;
    margin-top: 20px;
}

.footer-col {
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 400px;
    margin: 0 10px;
}

footer ul {
    list-style: none;
    padding: 0;
    font-family: "DM Sans";
    font-weight: 400;
    font-size: 0.685rem;
}

footer li {
    margin-bottom: 10px;
}


footer a {
    color: white;
    text-decoration: none;
    opacity: 0.7;
    margin: 0;
}

footer a:hover {
    opacity: 1;
}

footer h4, address, a{
    font-family: "DM Sans";
    font-size: 0.585rem;
    font-weight: 300;
    color: #c1c1c1;
}

.linha-horizontal {
    width: 100%;
    height: 1px;
    background: rgba(255, 255, 255, 0.2);
    margin: 0;
    padding: 0;
}

.direitos {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 2px;
}

.direitos a {
    color: white;
    text-decoration: none;
    opacity: 0.7;
    font-size: 0.585rem;
}

/* lado direito (created by) */
.creditos {
    display: flex;
    align-items: center;
    gap: 5px;
}

/* logo pequena */
.creditos img {
    width: 10px;
    height: auto;
}

/*BOTÃO FLUTIANTE*/

.btn-whats {
    position: fixed;
    bottom: 24px;
    right: 24px;
    z-index: 999;

    width: 56px;
    height: 56px;
    border-radius: 50%;
    background-color: #25D366;
    color: white;
    font-size: 28px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;

    box-shadow: 0 4px 16px rgba(37, 211, 102, 0.4);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.btn-whats:hover {
    transform: scale(1.1);
    box-shadow: 0 6px 24px rgba(37, 211, 102, 0.6);
}